#!/bin/bash
# $Id: syslog_setup.sh 3822 2011-03-10 05:21:11Z jichen $

$CACTI_USER=$1
$CACTI_PW=$2

mkdir -p /opt/rtm/bin

echo "#!/bin/bash" > /opt/rtm/bin/syslogtomysql
echo "if [ ! -e /tmp/mysql.pipe ];then" >> /opt/rtm/bin/syslogtomysql
echo "    mkfifo /tmp/mysql.pipe" >> /opt/rtm/bin/syslogtomysql
echo "fi" >> /opt/rtm/bin/syslogtomysql
echo "while [ -e /tmp/mysql.pipe ]" >> /opt/rtm/bin/syslogtomysql
echo "do" >> /opt/rtm/bin/syslogtomysql
echo "    mysql -u $CACTI_USER --password=$CACTI_PW cacti < /tmp/mysql.pipe" >> /opt/rtm/bin/syslogtomysql
echo "    sleep 5" >> /opt/rtm/bin/syslogtomysql
echo "done" >> /opt/rtm/bin/syslogtomysql

/bin/chmod 755 /opt/rtm/bin/syslogtomysql
/bin/chown -R root.root /opt/rtm/bin/syslogtomysql